Subject: RE: Review of draft-ietf-idr-bgp4-17.txt

From: "Natale, Jonathan" <[email-masked]>
Date: Wed, 11 Sep 2002 15:43:36 -0400

1. Aahhh...DYNAMIC capabability.  So this makes me say that this is beyond
the scope of the base doc.

3. EGP is a messy historical thing, not sure what we can do (ask ISP
folks???)

4. No, the "optional non-transitive" type descriptions are in another
section.

-----Original Message-----
From: Abarbanel, Benjamin [mailto:[email-masked]] 
Sent: Wednesday, September 11, 2002 2:01 PM
To: 'Natale, Jonathan'; Abarbanel, Benjamin; [email-masked]'
Subject: RE: Review of draft-ietf-idr-bgp4-17.txt

Natale:

> 
> (your page nums are wrong)
> 
> 1. agree, but cap. Is not a msg type
 
This is taken from draft-ietf-idr-dynamic-cap-02.txt:

"5. Capability Message

   The CAPABILITY Message is a new BGP message type with type code 6.
   In addition to the fixed-size BGP header [BGP-4], the CAPABILITY
   message contains one or more of the following tuples:"

> 2. agree
> 3. disagree, but maybe:
> IGP = network was explicitly introduced into bgp (network cmd)
> INCOMPLETE = network was implicitly introduced into bgp (redistribute)
> EGP = other
> Also, maybe a discussion/reference on how this is used in 
> decision process.
> (I have seen folks infer that EGP == EBGP, so this has been a 
> source of
> confusion.  May add a note that this is historic???  What do 
> operators use
> Origin = EGP for??? (comments?))

To make a long story short, there is no other EGP in use other BGP
so why bother mentioning it. I dont hear anyone calling for another
EGP protocol as a standard Inter-AS protocol.

As far as I know the original EGP protocol was flawed and BGP corrected
a number of problems. So why bother with it?

> 4. disagree (covered elsewhere)
>
How can you disagree with this? This is what MED is. All other attributes
have the type described in the same place where I want MED to do.

Ben  
> -----Original Message-----
> From: Abarbanel, Benjamin [mailto:[email-masked]] 
> Sent: Wednesday, September 11, 2002 10:59 AM
> To: [email-masked]'
> Subject: Review of draft-ietf-idr-bgp4-17.txt
> 
> Part I:
> 
> Editorial Comments:
> ===================
> 1. P. 7 Type: Need to add the new message types such as, Capability
> Negotiations (RFC2842), Route Refresh, etc.
> 
> 2. P. 9, right after "This document defines the following optional
> parameters:"
> Need to mention possible options, such as: Capabilitites (RFC2842),
> Multiprotocol extensions (RFC2858), Route Refresh (RFC2918).
> 
> 3. P. 13, EGP, are there other EGP protocols other than BGP 
> that are in use?
> If not, change EGP to BGP.
> 
> 4. P.23, change the following: 
> 
> "The MULTI_EXIT_DISC attribute may be used on external (inter-AS)
>  links to discriminate among multiple exit or entry points to the same
>  neighboring AS ..."
> 
>  To the following:
> 
> "The MULTI_EXIT_DISC is an optional non-transitive attribute 
> which may be
> used on external (inter-AS) links to discriminate among 
> multiple exit or
> entry points to the same neighboring AS ..."
> 
> 5. In section 8, there are a number of Timers, Counters, etc. 
> that need to
> be explicitly defined before they are used by the FSM. Perhaps these
> definitions should go in the Glossary section.
>

---

From: Jeffrey Haas <[email-masked]>
Date: Wed, 11 Sep 2002 15:52:45 -0400

> 3. EGP is a messy historical thing, not sure what we can do (ask ISP

As best I've heard, no EGP is still being run.  So, its worth
adding the footnote reference in the section on Origin to 
clarify that its historical.

-- 
Jeff Haas 
NextHop Technologies

---

From: Curtis Villamizar <[email-masked]>
Date: Wed, 11 Sep 2002 19:59:35 -0400

> clarify that its historical.

Point of history.

Transition from BGP3 to BGP4 and classless routing was declared "done"
in April or May of 1994.  In April all major providers reported that
the ran BGP4 which meant that classless routes could be advertised and
the classfull routes could be withdrawn.  This went without trouble
and happenned very quickly.  So May is when the CIDR/BGP4 transition
was considered to been completed.  People have been gradually cleaning
up aggregates (and poking new holes in them) ever since.

As far as the Internet (with a big "I") is concerned, NASA was the
last holdout speaking BGP externally in 1994 but retaining some
internal use of EGP until 1995 or 1996 when they finally retired some
no longer supported Proteon routers.  Milo Medin or Jeff Burgan would
know more accurately when these were retired (if ever).

Curtis

ps - we now return you to the normally scheduled non-productive
pettiness.